Kerbal Space Program - Bug #9435

Ul elements (especially fonts) are very blurry under Ul scaling
04/23/2016 12:05 AM - nand
Description

When you set e.g. 120% Ul scale, the fonts all end up very blurry and almost unreadable.

Instead of rasterizing the fonts and using bilinear scaling on the results, you should update the font size to match the Ul scale
instead.

History

#1 - 04/23/2016 12:00 PM - swilbur
- File Ul_size.png added

I would clarify that the fonts look terrible at all Ul scales, not only at 120%. See this screenshot: the mission time and surface speedometer look like
they've been rasterized and resized, while "Reaction Wheels" in the pod menu is for some reason a different font size than everything else.

#2 - 04/24/2016 08:18 PM - jd284
- File fonts.png added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

There's something going on with the font anti-aliasing under Linux, but it's not quite so straightforward as you suggest. Some of the fonts are
antialiased at different Ul scale settings.

| captured the same dialog using 4 different Ul scale settings (editing settings.cfg to get >120%). Mainly it seems the "squeezed" fonts for the texts
"MonoPropellant" and "CarbonDioxide" look out of place. Especially "MonoPropellant” is antialiased too strongly at 100%/120% but not at all at 150%
which also looks odd. At 200% everything looks fine, so it's not just an obvious scaling issue.

| don't know how Unity5 treats fonts, but maybe it has to do with some graphics settings? I'm using Kubuntu 14.04.4 LTS with NVidia GTX 970 (with
nvidia-352 drivers if it matters). However changing the Kubuntu font settings seems to have no effect on Unity5, so | don't know which settings to look
at instead.

(Note that I've enabled TAC-LS and KIS to have more lines in the dialog to compare; I'm quite sure that they wouldn't affect font rendering.)

Maybe one fix would be to make the windows slightly wider so that fewer text items needs font squeezing.

#3 - 04/25/2016 07:42 AM - nand

- File N.png added

There are still some things odd about the 200% screenshot, incidentally. For example look at the N (magnified, attached) - the line thickness seems
uneven in places like this. Even if it's unscaled, it's almost as if the subpixel alignment is wrong.

The 100% screenshot on the other hand is perfectly crisp, pixel-perfect rendering (with the obvious exceptions as noted).

#4 - 07/17/2016 09:47 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0
#5 - 07/19/2016 04:12 PM - cpcallen
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

This bug has not been fixed in 1.1.3; behaviour is exactly the same as in initial bug report AFAICT.

#7 - 10/14/2016 01:22 AM - Squelch
- Status changed from Updated to Ready to Test
- Target version set to 1.2.0

- % Done changed from 10 to 80

The new text rendering method should have improved the readability of all text in KSP 1.2

#8 - 11/18/2016 08:13 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. No response.
